# MatSetValuesAdic

Sets values computed with ADIC automatic differentiation into a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSetValuesAdic(Mat mat,void *v)

Not Collective

### Input Parameters

| mat | - the matrix
| v | - the values compute with ADIC

### Notes

Must call MatSetColoring() before using this routine. Also this matrix must already have its nonzero pattern determined.

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal(),
MatSetValues(), MatSetColoring(), MatSetValuesAdifor()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages